# Environment variables
.env
.env.*
!example.env

# Database files
*.sqlite
*.sqlite3
*.db

# Python bytecode
__pycache__/
*.py[cod]
*$py.class

# Virtual environments
venv/
.venv/
env/
ENV/

# Distribution / packaging
dist/
build/
*.egg-info/
*.egg

# Unit test / coverage reports
htmlcov/
.tox/
.coverage
.coverage.*
.cache
nosetests.xml
coverage.xml
*.cover
.hypothesis/
.pytest_cache/

# Jupyter Notebook
.ipynb_checkpoints

# mypy
.mypy_cache/
.dmypy.json
dmypy.json

# Logs
*.log
logs/

# IDE specific files
.idea/
.vscode/
*.swp
*.swo
/owlynews.sqlite-shm
/owlynews.sqlite-wal
/owlynews.sqlite3-shm
/owlynews.sqlite3-wal
